using DiunaBI.Domain.Entities;
using DiunaBI.Infrastructure.Interfaces;

namespace DiunaBI.Plugins.Morska.Exporters;

public abstract class MorskaBaseExporter : IDataExporter
{
    public abstract string ExporterType { get; }
    public virtual bool CanExport(string exporterType) => ExporterType == exporterType;
    public abstract void Export(Layer layer);
}